package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussDeviceDetail;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

@Component
@Mapper
public interface TbPlussDeviceDetailMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussDeviceDetail record);

    int insertSelective(TbPlussDeviceDetail record);

    TbPlussDeviceDetail selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TbPlussDeviceDetail record);

    int updateByPrimaryKey(TbPlussDeviceDetail record);
}